#pragma once

#include <iostream>

// std::move 与 类的各种构造
// const CHouse& rh 左右值均可。
//       CHouse& rh 仅接受左值。
//       CHouse&& rv 仅接受右值。
class CHouse
{
public:
    int value;

public:
    CHouse();
    ~CHouse() = default;

public:
    CHouse(const CHouse& rh);
    CHouse(CHouse&& rv) noexcept;
    CHouse& operator=(const CHouse& rh);
};
